Bug 233660 - net-mgmt/pushgateway: Update to 0.6.0 (BREAKING CHANGES)
Summary: net-mgmt/pushgateway: Update to 0.6.0 (BREAKING CHANGES)
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL: https://github.com/prometheus/pushgat...
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2018-11-30 11:47 UTC by Mateusz Piotrowski
Modified: 2019-09-20 15:10 UTC (History)
3 users (show)

See Also:
aduitsis: maintainer-feedback+


Attachments
[WORK IN PROGRESS] Upgrade to v0.6.0 (4.27 KB, patch)
2018-11-30 11:47 UTC, Mateusz Piotrowski
aduitsis: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2018-11-30 11:47:31 UTC
Created attachment 199681 [details]
[WORK IN PROGRESS] Upgrade to v0.6.0

Changelog:
- https://github.com/prometheus/pushgateway/releases/tag/v0.4.0
- https://github.com/prometheus/pushgateway/releases/tag/v0.5.0
- https://github.com/prometheus/pushgateway/releases/tag/v0.5.2
- https://github.com/prometheus/pushgateway/releases/tag/v0.6.0

Also, https://github.com/prometheus/pushgateway/issues/175 suggests there were some breaking changes in the storage format between 0.4 and 0.5. I am not sure how to handle it as I don't use this software in production. We probably should add a note to UPDATING.

I'm attaching a patch with the following changes:
- Update to v0.6.0.
- Define LICENSE_FILE.
- Drop unnecessary subshell from do-build.
- Update the rc(8) service script to use long flags (support for short flags have been dropped).
- Extra:
  - Define do-test and pre-test to make it easier to run pushgateway's test suite. Test fail at the moment, I've not got time to investigate. The do-test implementation is not ideal too.

Certainly, the patch is not ready to be committed yet. It's merely a base for future work.
Comment 1 Athanasios Douitsis 2018-12-02 21:18:02 UTC
I'm the maintainer, this seems fine and thank you most kindly for the contribution. I set flags to '+', hope this is the correct thing to do around here.

If by any chance you'd like to maintain the port, please let me know what I must do.
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-08-15 10:39:50 UTC
ping!
Comment 3 Mateusz Piotrowski freebsd_committer 2019-09-20 14:09:15 UTC
I've updated the patch: https://reviews.freebsd.org/D21729
Comment 4 commit-hook freebsd_committer 2019-09-20 15:10:05 UTC
A commit references this bug:

Author: 0mp
Date: Fri Sep 20 15:09:20 UTC 2019
New revision: 512417
URL: https://svnweb.freebsd.org/changeset/ports/512417

Log:
  Update to v0.9.1

  Changelogs:
  - https://github.com/prometheus/pushgateway/releases/tag/v0.9.1
  - https://github.com/prometheus/pushgateway/releases/tag/v0.9.0
  - https://github.com/prometheus/pushgateway/releases/tag/v0.7.0
  - https://github.com/prometheus/pushgateway/releases/tag/v0.5.2
  - https://github.com/prometheus/pushgateway/releases/tag/v0.5.1
  - https://github.com/prometheus/pushgateway/releases/tag/v0.5.0
  - https://github.com/prometheus/pushgateway/releases/tag/v0.4.0

  The new persistent storage format is not backwards compatible. See the
  changelogs for details.

  - Define LICENSE_FILE.
  - Switch to USES=go:modules
  - Simplify targets.
  - Fix a couple of typos and style issues in the service file
  - Improve readability of comments in the service file
  - Do not install /var/db/pushgateway by default. It is going to be created
    by the service anyway.

  PR:		233660
  Approved by:	maintainer
  Event:		EuroBSDcon 2019 Hackathon
  Differential Revision:	https://reviews.freebsd.org/D21729

Changes:
  head/UPDATING
  head/net-mgmt/pushgateway/Makefile
  head/net-mgmt/pushgateway/distinfo
  head/net-mgmt/pushgateway/files/pushgateway.in
  head/net-mgmt/pushgateway/pkg-plist